program fjf226j;

{$B-}

var 
  f : text;
  a : array [1 .. sizeof (f) div sizeof (integer)] of integer absolute f;
  i : integer;
begin
  for i:=1 to high (a) do a [i] := 0;
  if false and (binding (f).name = 'foo') then writeln ('failed') else writeln ('OK')
end.
